%define mod_name Werkzeug

Name: python3-werkzeug
Version: 0.11.11
Release: 1%{?dist}
Summary: The Swiss Army knife of Python web development
Source0: https://github.com/pallets/werkzeug/archive/%{version}.tar.gz
License: BSD
Group: Development/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Prefix: %{_prefix}
BuildArch: noarch
Vendor: Armin Ronacher <armin.ronacher@active-4.com>
Url: http://werkzeug.pocoo.org/
BuildRequires: python34-devel
BuildRequires: python34-setuptools
Requires: python34

%description

Werkzeug
========

Werkzeug started as simple collection of various utilities for WSGI
applications and has become one of the most advanced WSGI utility
modules.  It includes a powerful debugger, full featured request and
response objects, HTTP utilities to handle entity tags, cache control
headers, HTTP dates, cookie handling, file uploads, a powerful URL
routing system and a bunch of community contributed addon modules.

Werkzeug is unicode aware and doesn't enforce a specific template
engine, database adapter or anything else.  It doesn't even enforce
a specific way of handling requests and leaves all that up to the
developer. It's most useful for end user applications which should work
on as many server environments as possible (such as blogs, wikis,
bulletin boards, etc.).

Details and example applications are available on the
`Werkzeug website <http://werkzeug.pocoo.org/>`_.


Features
--------

-   unicode awareness

-   request and response objects

-   various utility functions for dealing with HTTP headers such as
    `Accept` and `Cache-Control` headers.

-   thread local objects with proper cleanup at request end

-   an interactive debugger

-   A simple WSGI server with support for threading and forking
    with an automatic reloader.

-   a flexible URL routing system with REST support.

-   fully WSGI compatible


Development Version
-------------------

The Werkzeug development version can be installed by cloning the git
repository from `github`_::

    git clone git@github.com:mitsuhiko/werkzeug.git

.. _github: http://github.com/mitsuhiko/werkzeug


%prep
%setup -n werkzeug-%{version}

%build
python3 setup.py build

%install
python3 setup.py install -O1 --root=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{python3_sitelib}/*.egg-info
%{python3_sitelib}/werkzeug/*

%changelog
* Thu Jan 19 2017 Alexander Pavel <anp120@nbcs.rutgers.edu> - 0.11.11-1.ru7
- Update to 0.11.11 to fix XSS vulnerability
- Change to URL for SOURCE0

* Thu Jul 28 2016 Alexander Pavel <anp120@jla.rutgers.edu> - 0.10.3-2.ru7
- Rebuild CentOS 7

* Fri Apr 03 2015 Kaitlin Poskaitis <katiepru@nbcs.rutgers.edu> - 0.10.3-2.ru6
- Changing name to python3
- Manually entering files

* Thu Mar 26 2015 Kaitlin Poskaitis <katiepru@nbcs.rutgers.edu> - 0.10.3-1.ru6
- Initial build for Centos 6 at Rutgers University
